Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class QueryType.BlockDefinition

    java.lang.Object
      com.sun.mdm.index.parser.QueryType.BlockDefinition

Enclosing class:
  QueryType

public static class QueryType.BlockDefinition
extends java.lang.Object

Field Summary
`(package private) QueryType.BlockRule` | `blockRule`
`(package private) java.lang.String` | `hint`
`(package private) java.lang.String` | `name`
`(package private) java.lang.String` | `queryBuilderName`

Constructor Summary
`QueryType.BlockDefinition(java.lang.String queryBuilderName)`
`QueryType.BlockDefinition(java.lang.String queryBuilderName, java.lang.String name, java.lang.String hint, QueryType.BlockRule blockRule)`

Method Summary
`QueryType.BlockRule` | `getBlockRule()`
`java.lang.String` | `getHint()`
`java.lang.String` | `getName()`
`java.lang.String` | `getQueryBuilderName()`
`(package private) void` | `setBlockRule(QueryType.BlockRule blockRule)`
`void` | `setHint(java.lang.String hint)`
`void` | `setName(java.lang.String number)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### blockRule

    QueryType.BlockRule blockRule

### hint

    java.lang.String hint

### name

    java.lang.String name

### queryBuilderName

    java.lang.String queryBuilderName

Constructor Detail

### QueryType.BlockDefinition

    public QueryType.BlockDefinition(java.lang.String queryBuilderName)

### QueryType.BlockDefinition

    public QueryType.BlockDefinition(java.lang.String queryBuilderName,
                                     java.lang.String name,
                                     java.lang.String hint,
                                     QueryType.BlockRule blockRule)

Method Detail

### getBlockRule

    public QueryType.BlockRule getBlockRule()

### getHint

    public java.lang.String getHint()

### getName

    public java.lang.String getName()

### getQueryBuilderName

    public java.lang.String getQueryBuilderName()

### setBlockRule

    void setBlockRule(QueryType.BlockRule blockRule)

### setHint

    public void setHint(java.lang.String hint)

### setName

    public void setName(java.lang.String number)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.